System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable To be added

Represents an 8-bit unsigned integer, in the range of 0 through 255, to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the structure using the specified byte value.

  A byte value to be stored in the property of the new structure.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Computes the sum of the two specified structures.

  A structure whose Value property contains the results of the addition.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Computes the bitwise AND of its operands.

  The results of the bitwise AND operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Computes the bitwise OR of its two operands.

  The results of the bitwise OR operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this instance to the supplied object and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The object to be compared.
- Method
  System.Int32 `` To be added

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Divides its first operand by its second.

  A new structure whose property contains the results of the division.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied parameter to the property of the object.

  true if object is an instance of and the two are equal; otherwise false.

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two structures to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, then the SqlByte will be null.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Gets a Boolean value that indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlByte

  The value of this constant is 255 or, hexadecimal 0xFF.

  A constant representing the largest possible value of a .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlByte

  The value of this constant is 0.

  A constant representing the smallest possible value of a .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Computes the remainder after dividing its first operand by its second.

  A structure whose contains the remainder.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` ``

  If either instance of or is null, the value will be null.

  Divides two values and returns the remainder.

  The remainder left after division is performed on and .

  A . A .
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Computes the product of the two operands.

  A new structure whose property contains the product of the multiplication.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlByte

  Null functions as a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` To be added

  The ones complement operator performs a bitwise one's complement operation on its operand.

  A structure whose property contains the ones complement of the parameter.

  A structure. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Computes the sum of the two specified structures.

  A whose property contains the sum of the two operands.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Computes the bitwise AND of its operands.

  The results of the bitwise AND operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Computes the bitwise OR of its two operands.

  The results of the bitwise OR operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Divides its first operand by its second.

  A new structure whose property contains the results of the division.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two structures to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Performs a bitwise exclusive-OR operation on the supplied parameters.

  The results of the bitwise XOR operation.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Byte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the SqlBoolean will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Computes the remainder after dividing its first operand by its second.

  A structure whose contains the remainder.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Computes the product of the two operands.

  A new structure whose property contains the product of the multiplication.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` To be added.

  The ones complement operator performs a bitwise one's complement operation on its operand.

  A structure whose property contains the ones complement of the parameter.

  A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlByte `` `` To be added.

  Subtracts the second operand from the first.

  The results of subtracting the second operand from the first.

  A structure. A structure.
- Method
  System.Data.SqlTypes.SqlByte `` To be added

  Converts the representation of a number to its 8-bit unsigned integer equivalent.

  A structure that contains the 8-bit number represented by the String parameter.

  The String to be parsed. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Subtracts the second operand from the first.

  The results of subtracting the second operand from the first.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Data.SqlTypes.SqlBoolean To be added

  Converts this structure to .

  true if the is non-zero; false if zero; otherwise Null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal To be added

  Converts this structure to .

  A SqlDecimal structure whose equals the of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble To be added

  Converts this structure to .

  A SqlDouble structure with the same value as this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A SqlInt16 structure with the same value as this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this to .

  A SqlInt32 structure with the same value as this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A SqlInt64 structure who equals the of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney To be added

  Converts this structure to .

  A SqlMoney structure whose equals the of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle To be added

  Converts this structure to .

  A SqlSingle structure that has the same as this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this instance of to .

  A SqlString that contains the string representation of the structure's .

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to a .

  A string that contains the of the . If the Value is null, the String will be a null string.

  1.0.5000.0
  2.0.0.0
- Property
  System.Byte To be added: an object of type 'byte' To be added

  Gets the value of the structure. This property is read-only

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` `` To be added

  Performs a bitwise exclusive-OR operation on the supplied parameters.

  The results of the XOR operation.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlByte

  The field is a constant for the structure.

  Represents a zero value that can be assigned to the property of an instance of the structure.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")